service: functions
description: "Deploying functions from GitLab using Knative"

functions:
  echo-js:
    handler: echo
    source: ./echo
    runtime: https://gitlab.com/gitlab-org/serverless/runtimes/nodejs
    description: "node.js runtime function"
    environment:
      MY_FUNCTION: echo
